.right-text {
    text-align: right !important;
}
.power-data-row td {
    padding: .5rem 25px .5rem 20px !important;
}
/* The container must be positioned relative: */
.custom-select {
    min-width: 350px;
    position: relative;
}
.custom-select select:disabled {
    opacity: .8 !important;
}
.main-logo-container {

}
.main-logo-container img {
    height: 40px;
    max-height: none !important;
    max-width: none !important;
}
select {
    appearance: none;
    /*  safari  */
    -webkit-appearance: none;
    /*  other styles for aesthetics */
    width: 100%;
    font-size: 1.15rem;
    padding: 0.675em 6em 0.675em 1em;
    background-color: #fff;
    border: 1px solid #caced1;
    border-radius: 0.25rem;
    color: #000;
    cursor: pointer;
}

.custom-select::before,
.custom-select::after, .form-select::before, .form-select::after {
    --size: 0.3rem;
    content: "";
    position: absolute;
    right: 1rem;
    pointer-events: none;
}

.custom-select::before {
    border-left: var(--size) solid transparent;
    border-right: var(--size) solid transparent;
    border-bottom: var(--size) solid black;
    top: 40%;
}

.custom-select::after {
    border-left: var(--size) solid transparent;
    border-right: var(--size) solid transparent;
    border-top: var(--size) solid black;
    top: 55%;
}
.dashed-link {
    border-bottom: 1px dashed;
    color: dodgerblue;
    cursor: pointer;
}
.form-error {
    margin-left: 20px;
    margin-right: 20px;
    color: #fff;
    font-size: .875rem;
    background: #ff0000;
    padding: 10px;
    border-radius: 8px;
    display: block;
    text-decoration: none;
}
.link {
    color: dodgerblue;
}
.pagination-container {
    margin-top: 20px;
    margin-left: 15px;
}
.filters-container {
    margin-left: 20px;
}
.custom-switch  {
    padding-left: 0 !important;
}
.swal2-html-container {
    text-align: center;
    padding: 20px 10px 0 10px;
}
.sort-icon {
    float: right;
    position: absolute;
    right: 6px;
    top: 14px;
}
th[data-sortable] {
    white-space: nowrap;
    position: relative;
}
.filter-select {
    padding: 7px;
    border-radius: 10px;
    border: 1px solid #d2d6da;
}
.select2-container--default .select2-selection--single {
    border: 1px solid #d2d6da;
    border-radius: 10px;
    padding: 5px 0;
    height: 42px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 7px;
    right: 9px;
}
.filters-container {
    display: flex;
}
.table-data-remove-btn {
    margin-bottom: 0 !important;
    margin-right: 10px;
}
.create-btn-table {
    position: absolute;
    top: 15px;
    right: 15px;
}
.filter-checkbox-container input {
    margin-left: 0 !important;
}
.filter-checkbox-container span {
    margin-left: 5px;
    margin-top: 2px;
}
.filter-checkbox-container {
    display: flex;
}
.table tr td:first-of-type {
    padding-left: 20px;
}
.red {
    color: red;
}
.green {
    color: green;
}
.pointer {
    cursor: pointer;
}
.btn-table {
    margin-bottom: 0 !important;
    padding: 5px 10px !important;
}
@media (max-width: 700px) {
    #login-container {
        width: auto;
    }
}
